# My first HUGO (example) page!

## What is this?

Just a repository for memory. It is just the result of me following the official [HUGO quickstart guide](https://gohugo.io/getting-started/configuration/) on gohugo.io, as of 2024-09-16.


## How to run / build

To serve the site for development, run the following command (requires you having `hugo` [installed](https://gohugo.io/installation/)):

```bash
hugo serve
``` 

To build the site (resulting in plain html/css in the `public` directory), run:

```bash
hugo  # build the site
#cd public && python3 -m http.server  # run a simple http server included in python to serve the files
```

The second - commented - command would start a simple (not production-ready!) http server, which does not include [LiveReload](https://gohugo.io/getting-started/usage/#livereload) to reload the content on the fly (if you change something in the source files, `hugo serve` will automatically refresh open browser pages and show the new content - on the fly).

I just included this command to show how simple the resulting site in the `public` folder is - even python3's built-in http server module can serve it!


## More information

For more information, see the [awesome documentation](https://gohugo.io/documentation/) of HUGO itself!

